#!/usr/local/bin/python

print 'Content-Type: text/html\n'

from lib import *

print """
<table>
 <tr bgcolor="green">
  <td><b>Category</b></td> <td width="50" bgcolor="white"></td> <td><b>Minimum</b></td><td><b>Average</b></td><td><b>Max</b></td> <td width="50" bgcolor="white"></td> <td><b>Total</b></td>
 </tr>
"""

nettotal = 0

for category in listCategories():
	if category['id'] == 13: continue
	print ' <tr>'
	total = 0.00
	numTransactions = 0
	min = 0
	max = 0
	for transaction in listCategoryTransactions(category['id']):
		total += transaction['amount']
		numTransactions += 1
		amount = transaction['amount']
		if amount < 0:
			if min == 0:
				min = -amount
			if -amount < min: min = -amount
			if -amount > max: max = -amount
		else:
			if min == 0:
				min = amount
			if amount < min: min = amount
			if amount > max: max = amount
	nettotal += total
	if total < 0:
		totalcolor = 'red'
		total = -total
	else:
		totalcolor = 'lightgreen'
	print '  <td bgcolor="yellow"><b>%s (%s)</b></td>' % (category['name'],numTransactions),
	print '<td></td>',
	print '<td bgcolor="lightblue">', min, '</td>',
	try:
		print '<td bgcolor="lightblue">%0.2f</td>' % (total / numTransactions)
	except ZeroDivisionError:
		print '<td bgcolor="lightblue">0</td>'
	print '<td bgcolor="lightblue">', max, '</td>',
	print '<td></td><td bgcolor="'+totalcolor+'">', total, '</td>'
	print ' </tr>'

print """
</table>
<h1>Net Total: $%0.2f</h1>
""" % nettotal
